summaryrefslogtreecommitdiffstats
path: root/laas-fog/pharoslaas/actions/update.sh
diff options
context:
space:
mode:
authorJack Morgan <jack.morgan@intel.com>2018-01-09 00:12:59 +0000
committerGerrit Code Review <gerrit@opnfv.org>2018-01-09 00:12:59 +0000
commit01021375341d706c64589d9c13a22a40b490906b (patch)
tree792c47921f14169eeab248215502ddae44a34547 /laas-fog/pharoslaas/actions/update.sh
parent9909c37d5866f1c760fe9f4ec47616c49fcddee3 (diff)
parentb8c13cecb4a8a4eff301c6cbc1ffa4d181aae410 (diff)
Merge "Adds update workflow"
Diffstat (limited to 'laas-fog/pharoslaas/actions/update.sh')
-rw-r--r--laas-fog/pharoslaas/actions/update.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/laas-fog/pharoslaas/actions/update.sh b/laas-fog/pharoslaas/actions/update.sh
new file mode 100644
index 0000000..6635864
--- /dev/null
+++ b/laas-fog/pharoslaas/actions/update.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+##############################################################################
+# Copyright 2017 Parker Berberian and Others #
+# #
+# Licensed under the Apache License, Version 2.0 (the "License"); #
+# you may not use this file except in compliance with the License. #
+# You may obtain a copy of the License at #
+# #
+# http://www.apache.org/licenses/LICENSE-2.0 #
+# #
+# Unless required by applicable law or agreed to in writing, software #
+# distributed under the License is distributed on an "AS IS" BASIS, #
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. #
+# See the License for the specific language governing permissions and #
+# limitations under the License. #
+##############################################################################
+
+#check which package manager is used and run appropriate update cmd
+
+if which apt; then
+ apt -y update && apt -y upgrade
+elif which yum; then
+ yum -y upgrade
+elif which zypper; then
+ zypper -n update
+else
+ echo "Could not find package manager"
+ exit 1
+fi